// Copyright (c) 2017-2022, Lawrence Livermore National Security, LLC and
// other Axom Project Developers. See the top-level LICENSE file for details.
//
// SPDX-License-Identifier: (BSD-3-Clause)


#ifndef AXOM_UNIFIED_CORE_HPP
#define AXOM_UNIFIED_CORE_HPP

#include "axom/config.hpp"

#include "axom/core/utilities/AnnotationMacros.hpp"
#include "axom/core/utilities/BitUtilities.hpp"
#include "axom/core/utilities/FileUtilities.hpp"
#include "axom/core/utilities/StringUtilities.hpp"
#include "axom/core/utilities/System.hpp"
#include "axom/core/utilities/Timer.hpp"
#include "axom/core/utilities/Utilities.hpp"
#include "axom/core/utilities/About.hpp"
#include "axom/core/utilities/nvtx/interface.hpp"
#include "axom/core/utilities/nvtx/Macros.hpp"
#include "axom/core/utilities/nvtx/Range.hpp"
#include "axom/core/numerics/Determinants.hpp"
#include "axom/core/numerics/LU.hpp"
#include "axom/core/numerics/Matrix.hpp"
#include "axom/core/numerics/eigen_solve.hpp"
#include "axom/core/numerics/eigen_sort.hpp"
#include "axom/core/numerics/floating_point_limits.hpp"
#include "axom/core/numerics/jacobi_eigensolve.hpp"
#include "axom/core/numerics/linear_solve.hpp"
#include "axom/core/numerics/matvecops.hpp"
#include "axom/core/numerics/polynomial_solvers.hpp"
#include "axom/core/Array.hpp"
#include "axom/core/ArrayBase.hpp"
#include "axom/core/ArrayIteratorBase.hpp"
#include "axom/core/ArrayView.hpp"
#include "axom/core/IteratorBase.hpp"
#include "axom/core/Macros.hpp"
#include "axom/core/Map.hpp"
#include "axom/core/Path.hpp"
#include "axom/core/StackArray.hpp"
#include "axom/core/Types.hpp"
#include "axom/core/memory_management.hpp"
#include "axom/core/execution/execution_space.hpp"
#include "axom/core/execution/for_all.hpp"
#include "axom/core/execution/synchronize.hpp"

#endif // AXOM_UNIFIED_CORE_HPP
