// Copyright (c) 2017-2022, Lawrence Livermore National Security, LLC and
// other Axom Project Developers. See the top-level LICENSE file for details.
//
// SPDX-License-Identifier: (BSD-3-Clause)


#ifndef AXOM_UNIFIED_PRIMAL_HPP
#define AXOM_UNIFIED_PRIMAL_HPP

#include "axom/config.hpp"

#include "axom/primal/constants.hpp"
#include "axom/primal/geometry/BezierCurve.hpp"
#include "axom/primal/geometry/BoundingBox.hpp"
#include "axom/primal/geometry/CurvedPolygon.hpp"
#include "axom/primal/geometry/OrientedBoundingBox.hpp"
#include "axom/primal/geometry/OrientationResult.hpp"
#include "axom/primal/geometry/NumericArray.hpp"
#include "axom/primal/geometry/Plane.hpp"
#include "axom/primal/geometry/Point.hpp"
#include "axom/primal/geometry/Polygon.hpp"
#include "axom/primal/geometry/Ray.hpp"
#include "axom/primal/geometry/Segment.hpp"
#include "axom/primal/geometry/Sphere.hpp"
#include "axom/primal/geometry/Polyhedron.hpp"
#include "axom/primal/geometry/Tetrahedron.hpp"
#include "axom/primal/geometry/Octahedron.hpp"
#include "axom/primal/geometry/Triangle.hpp"
#include "axom/primal/geometry/Vector.hpp"
#include "axom/primal/operators/clip.hpp"
#include "axom/primal/operators/closest_point.hpp"
#include "axom/primal/operators/intersect.hpp"
#include "axom/primal/operators/orientation.hpp"
#include "axom/primal/operators/squared_distance.hpp"
#include "axom/primal/operators/compute_bounding_box.hpp"
#include "axom/primal/operators/compute_moments.hpp"
#include "axom/primal/operators/in_curved_polygon.hpp"
#include "axom/primal/operators/in_polygon.hpp"
#include "axom/primal/operators/in_sphere.hpp"
#include "axom/primal/operators/is_convex.hpp"
#include "axom/primal/operators/split.hpp"
#include "axom/primal/utils/ZipIndexable.hpp"
#include "axom/primal/utils/ZipBoundingBox.hpp"
#include "axom/primal/utils/ZipPoint.hpp"
#include "axom/primal/utils/ZipRay.hpp"
#include "axom/primal/utils/ZipVector.hpp"
#include "axom/primal/operators/evaluate_integral.hpp"

#endif // AXOM_UNIFIED_PRIMAL_HPP
